Bug 18614 - webkit fails to override @import "x.css"
Summary: webkit fails to override @import "x.css"
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows XP
: P2 Normal
Assignee: Nobody
URL: http://www.hixie.ch/tests/adhoc/http/...
Keywords: PlatformOnly
Depends on:
Blocks:
 
Reported: 2008-04-18 19:22 PDT by jasneet
Modified: 2008-06-24 00:43 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jasneet 2008-04-18 19:22:42 PDT
I Steps:
Go to 
http://www.hixie.ch/tests/adhoc/http/content-type/css/001.html

II Issue:
 <style type="text/css">
   @import "001.css";
   body { color: green; }

webkit doesn't override @import "001.css"

III Conclusion:
issue with overriding @import "x.css"

IV Other browsers:
IE7: not ok
FF3: ok
Opera9.24: not ok

V Nightly tested: 32005
Comment 1 Rob Buis 2008-04-26 13:54:58 PDT
Hi,

This seems to work in ToT.
Cheers,

Rob.
Comment 2 Robert Blaut 2008-05-04 13:23:13 PDT
I also can confirm that the test case works for me in the latest Webkit r32847 for Mac OS X, but it fails in the latest Webkit r32574 for Windows. 
Comment 3 Andrew Wellington 2008-06-10 10:49:32 PDT
This bug has been fixed. Verified in r34483.
Comment 4 Robert Blaut 2008-06-24 00:43:58 PDT
(In reply to comment #3)
> This bug has been fixed. Verified in r34483.
> 

I cannot confirm. The bug is still visible in the latest Webkit r34752 for Windows.